ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Zandra Bainas" <zbai...@nortel.com>
Subject Ant 1.6.2/4 with Java1.5.0_02 on solaris8
Date Wed, 01 Jun 2005 14:41:44 GMT
Hi all,

Has anyone got this combination to run?

I've upgraded Ant from 1.6.0 to 1.6.2 (and just tried 1.6.4 as well, same
problem as 1.6.2)
and the jvm from java 1.4.2_03 to 1.5.0_02

Everything works fine on the PCs (w2000) but I can't get Ant to run on the
solaris machines
using java 5.  It does work with java 1.4.

The error I see on running Ant is:

> ant 

Error: no `server
' JVM at `/vobs/tnuitools/sparc/jdk/1.5.0_02/jre/lib/sparc/server
/libjvm.so'.

If you were looking at this in VI, you would see Carriage Returns (^M) after
'server' on 
both lines.  The installed J5 jdk/jre does have a server directory - but it
definitely does not end in a CR!
The java 1.4 directory structure also does not have a CR after the server
directory name either ;)

I've tried:
 - ant 1.6.2, 1.6.4
 - installing Ant using winzip - with and without turning the smart CR/LF
option on.
 - installing using the 1.6.4.tar.gz  bundle as well.  
 - stripping all the CR's out of the scripts in ant/bin using vi.

Any suggestions?

Thanks very much!
Zandra Bainas


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message